--- /dev/null
+vim-essentials
\ No newline at end of file
--- /dev/null
+---
+title: vim-essentials
+homepage: https://webinstall.dev/vim-essentials
+tagline: |
+ meta package for our recommended vim plugins and settings
+---
+
+To update (replacing the current version) run `webi vim-essentials`.
+
+## Cheat Sheet
+
+> A collection of extremely useful plugins and very simple one-line changes to
+> vim's default settings.
+
+This meta package will install the full set of plugins and settings we
+recommended.
+
+It includes many of the vim plugins available on webinstall.dev such as:
+
+- [vim-leader](/vim-leader)
+- [vim-shell](/vim-shell)
+- [vim-sensible](/vim-sensible)
+- [vim-viminfo](/vim-viminfo)
+- [vim-lastplace](/vim-lastplace)
+- [vim-spell](/vim-spell)
+- [vim-ale](/vim-ale)
+- [vim-prettier](/vim-prettier)
+- [vim-whitespace](/vim-whitespace)
+
+It **DOES NOT** include these, which you may also want:
+
+- [vim-gui](/vim-gui) (mouse and clipboard support)
+- [vim-nerdtree](/vim-nerdtree)
+- [vim-devicons](/vim-devicons)
--- /dev/null
+webi \
+ vim-leader \
+ vim-shell \
+ vim-sensible \
+ vim-viminfo \
+ vim-lastplace \
+ vim-spell \
+ vim-ale \
+ vim-prettier \
+ vim-whitespace \
+ # done
+
+printf '\n'
+printf 'Suggestion: Also check out these great plugins:\n'
+printf ' - vim-nerdtree (better than the default file browser)\n'
+printf ' - vim-gui (mouse & clipboard support)\n'
+printf ' - vim-go (golang linting, etc)\n'
+printf '\n'
--- /dev/null
+---
+title: vim-gui
+homepage: https://webinstall.dev/vim-gui
+tagline: |
+ vim-gui enables Vim's built-in support for mouse, clipboard, etc
+---
+
+To update (replacing the current version) run `webi vim-gui`.
+
+## Cheat Sheet
+
+Vim has built-in GUI support.
+
+It is turned off by default and when turned on may not behave exactly as
+expected.
+
+This vim-gui plugin turns on mouse support with insert mode on click,
+select-to-copy clipboard, and other GUI options.
+
+### How to configure manually
+
+Create the file `~/.vim/plugins/gui.vim`. Add the same contents as
+<https://github.com/webinstall/webi-installers/blob/master/vim-gui/gui.vim>.
+
+That will look something like this:
+
+```vim
+" turn on mouse support
+set mouse=a
+
+" keep copy-on-select and other GUI options
+set clipboard+=autoselect guioptions+=a
+
+" enter insert mode on left-click
+nnoremap <LeftMouse> <LeftMouse>i
+```
+
+You'll then need to update `~/.vimrc` to source that plugin:
+
+```vim
+" Mouse Support: reasonable defaults from webinstall.dev/vim-gui
+source ~/.vim/plugins/gui.vim
+```
--- /dev/null
+#!/bin/bash
+
+function __init_vim_mouse() {
+ set -e
+ set -u
+
+ mkdir -p "$HOME/.vim/plugins"
+ rm -rf "$HOME/.vim/plugins/mouse.vim"
+
+ echo ""
+
+ if [ ! -e "$HOME/.vimrc" ]; then
+ touch "$HOME/.vimrc"
+ fi
+
+ if ! [ -f "$HOME/.vim/plugins/mouse.vim" ]; then
+ mkdir -p ~/.vim/plugins
+ WEBI_HOST=${WEBI_HOST:-"https://webinstall.dev"}
+ curl -fsS -o ~/.vim/plugins/mouse.vim "$WEBI_HOST/packages/vim-mouse/mouse.vim"
+ fi
+
+ if ! grep 'source.*plugins.mouse.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
+ set +e
+ mkdir -p ~/.vim/plugins
+ printf '\n" Mouse Support: reasonable defaults from webinstall.dev/vim-mouse\n' >> ~/.vimrc
+ printf 'source ~/.vim/plugins/mouse.vim\n' >> ~/.vimrc
+ set -e
+ echo "added ~/.vim/plugins/mouse.vim"
+ echo "updated ~/.vimrc with 'source ~/.vim/plugins/mouse.vim'"
+ echo ""
+ fi
+
+ echo "vim-mouse enabled with reasonable defaults"
+}
+
+__init_vim_mouse
--- /dev/null
+" turn on mouse support
+set mouse=a
+
+" keep copy-on-select and other GUI options
+set clipboard+=autoselect guioptions+=a
+
+" enter insert mode on left-click
+nnoremap <LeftMouse> <LeftMouse>i
--- /dev/null
+vim-gui
\ No newline at end of file
+++ /dev/null
----
-title: vim-mouse
-homepage: https://webinstall.dev/vim-mouse
-tagline: |
- vim mouse is Vim's built-in mouse support
----
-
-To update (replacing the current version) run `webi vim-mouse`.
-
-## Cheat Sheet
-
-Vim has built-in mouse support.
-
-It is turned off by default and when turned on may not behave exactly as
-expected.
-
-This vim-mouse plugin turns on mouse support with insert mode on click,
-select-to-copy clipboard, and other GUI options.
-
-### How to configure manually
-
-Create the file `~/.vim/plugins/mouse.vim`. Add the same contents as
-<https://github.com/webinstall/webi-installers/blob/master/vim-mouse/mouse.vim>.
-
-That will look something like this:
-
-```vim
-" turn on mouse support
-set mouse=a
-
-" keep copy-on-select and other GUI options
-set clipboard+=autoselect guioptions+=a
-
-" enter insert mode on left-click
-nnoremap <LeftMouse> <LeftMouse>i
-```
-
-You'll then need to update `~/.vimrc` to source that plugin:
-
-```vim
-" Mouse Support: reasonable defaults from webinstall.dev/vim-mouse
-source ~/.vim/plugins/mouse.vim
-```
+++ /dev/null
-#!/bin/bash
-
-function __init_vim_mouse() {
- set -e
- set -u
-
- mkdir -p "$HOME/.vim/plugins"
- rm -rf "$HOME/.vim/plugins/mouse.vim"
-
- echo ""
-
- if [ ! -e "$HOME/.vimrc" ]; then
- touch "$HOME/.vimrc"
- fi
-
- if ! [ -f "$HOME/.vim/plugins/mouse.vim" ]; then
- mkdir -p ~/.vim/plugins
- WEBI_HOST=${WEBI_HOST:-"https://webinstall.dev"}
- curl -fsS -o ~/.vim/plugins/mouse.vim "$WEBI_HOST/packages/vim-mouse/mouse.vim"
- fi
-
- if ! grep 'source.*plugins.mouse.vim' -r ~/.vimrc > /dev/null 2> /dev/null; then
- set +e
- mkdir -p ~/.vim/plugins
- printf '\n" Mouse Support: reasonable defaults from webinstall.dev/vim-mouse\n' >> ~/.vimrc
- printf 'source ~/.vim/plugins/mouse.vim\n' >> ~/.vimrc
- set -e
- echo "added ~/.vim/plugins/mouse.vim"
- echo "updated ~/.vimrc with 'source ~/.vim/plugins/mouse.vim'"
- echo ""
- fi
-
- echo "vim-mouse enabled with reasonable defaults"
-}
-
-__init_vim_mouse
+++ /dev/null
-" turn on mouse support
-set mouse=a
-
-" keep copy-on-select and other GUI options
-set clipboard+=autoselect guioptions+=a
-
-" enter insert mode on left-click
-nnoremap <LeftMouse> <LeftMouse>i
+++ /dev/null
----
-title: vim-standard
-homepage: https://webinstall.dev/vim-standard
-tagline: |
- meta package for our recommended vim plugins and settings
----
-
-To update (replacing the current version) run `webi vim-standard`.
-
-## Cheat Sheet
-
-> A collection of extremely useful plugins and very simple one-line changes to
-> vim's default settings.
-
-This meta package will install the full set of plugins and settings we
-recommended.
-
-It includes many of the vim plugins available on webinstall.dev such as:
-
-- [vim-shell](/vim-shell)
-- [vim-sensible](/vim-sensible)
-- [vim-spell](/vim-spell)
-- [vim-lastplace](/vim-lastplace)
-- [vim-viminfo](/vim-viminfo)
-- [vim-syntastic](/vim-syntastic)
-- [vim-prettier](/vim-prettier)
+++ /dev/null
-webi \
- vim-shell \
- vim-sensible \
- vim-spell \
- vim-viminfo \
- vim-lastplace \
- vim-syntastic \
- vim-prettier